Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.el
Class ELException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.el.ELException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ELParseException

Deprecated. As of JSP 2.1, replaced by `ELException`

    public class ELException

extends Exception

Represents any of the exception conditions that arise during the operation evaluation of the evaluator.

Since:
  JSP 2.0
See Also:
  Serialized Form

Constructor Summary
`ELException()` Deprecated. Creates an ELException with no detail message.
`ELException(String pMessage)` Deprecated. Creates an ELException with the provided detail message.
`ELException(String pMessage, Throwable pRootCause)` Deprecated. Creates an ELException with the given detail message and root cause.
`ELException(Throwable pRootCause)` Deprecated. Creates an ELException with the given root cause.

Method Summary
`Throwable` | `getRootCause()` Deprecated. Returns the root cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ELException

    public ELException()

  Deprecated.
  Creates an ELException with no detail message.

### ELException

    public ELException(String pMessage)

  Deprecated.
  Creates an ELException with the provided detail message.

  Parameters:
    `pMessage` - the detail message

### ELException

    public ELException(Throwable pRootCause)

  Deprecated.
  Creates an ELException with the given root cause.

  Parameters:
    `pRootCause` - the originating cause of this exception

### ELException

    public ELException(String pMessage,
                       Throwable pRootCause)

  Deprecated.
  Creates an ELException with the given detail message and root cause.

  Parameters:
    `pMessage` - the detail message
    `pRootCause` - the originating cause of this exception

Method Detail

### getRootCause

    public Throwable getRootCause()

  Deprecated.
  Returns the root cause.

  Returns:
    the root cause of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.